#!/usr/local/cpanel/3rdparty/bin/perl -w

#                                      Copyright 2024 WebPros International, LLC
#                                                           All rights reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited.

use Test::More;

use experimental 'builtin';

use lib 't/lib';
use Whostmgr::360Monitoring::Agent;
use Whostmgr::360Monitoring::Agent::Test;

use constant {
    PACKAGE_TO_TEST => test_to_package(__FILE__),
};

use_ok(PACKAGE_TO_TEST);

{
    my $agent = Whostmgr::360Monitoring::Agent->new();
    my $obj   = new_ok( PACKAGE_TO_TEST() => [ $agent, {} ] );
    is( $obj->status_page_url, 'http://127.0.0.1/phpfpm_status', "default set [status_page_url]" );
}

done_testing();
